## dpf-plugins 1.3

=== Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

include dpf/Makefile.base.mk

all: dgl plugins gen

# --------------------------------------------------------------

PREFIX  ?= /usr/local
DESTDIR ?=

# --------------------------------------------------------------

HAVE_PROJM = $(shell pkg-config --exists libprojectM && echo true)

# --------------------------------------------------------------

dgl:
ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
	$(MAKE) -C dpf/dgl
endif

plugins: dgl
	# Kars
	$(MAKE) all -C plugins/Kars

	# Mini-Series
	$(MAKE) all -C plugins/3BandEQ
	$(MAKE) all -C plugins/3BandSplitter
	$(MAKE) all -C plugins/PingPongPan

	# ndc-Plugs
	$(MAKE) all -C plugins/AmplitudeImposer
	$(MAKE) all -C plugins/CycleShifter
	$(MAKE) all -C plugins/SoulForce

	# MVerb
	$(MAKE) all -C plugins/MVerb

	# Nekobi
	$(MAKE) all -C plugins/Nekobi

	# Max-Gen stuff
	$(MAKE) all -C plugins/bitcrush
	$(MAKE) all -C plugins/freeverb
	$(MAKE) all -C plugins/gigaverb
	$(MAKE) all -C plugins/pitchshift

ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
	# glBars (needs OpenGL)
	$(MAKE) all -C plugins/glBars

ifeq ($(HAVE_PROJM),true)
	# ProM (needs OpenGL + ProjectM)
	$(MAKE) all -C plugins/ProM
endif # HAVE_PROJM
endif # HAVE_CAIRO_OR_OPENGL

ifneq ($(CROSS_COMPILING),true)
gen: plugins dpf/utils/lv2_ttl_generator
	@$(CURDIR)/dpf/utils/generate-ttl.sh
ifeq ($(MACOS),true)
	@$(CURDIR)/dpf/utils/generate-vst-bundles.sh
endif

dpf/utils/lv2_ttl_generator:
	$(MAKE) -C dpf/utils/lv2-ttl-generator
else
gen:
endif

# --------------------------------------------------------------

clean:
	$(MAKE) clean -C dpf/dgl
	$(MAKE) clean -C dpf/utils/lv2-ttl-generator

	# glBars
	$(MAKE) clean -C plugins/glBars

	# Kars
	$(MAKE) clean -C plugins/Kars

	# Mini-Series
	$(MAKE) clean -C plugins/3BandEQ
	$(MAKE) clean -C plugins/3BandSplitter
	$(MAKE) clean -C plugins/PingPongPan

	# ndc-Plugs
	$(MAKE) clean -C plugins/AmplitudeImposer
	$(MAKE) clean -C plugins/CycleShifter
	$(MAKE) clean -C plugins/SoulForce

	# MVerb
	$(MAKE) clean -C plugins/MVerb

	# Nekobi
	$(MAKE) clean -C plugins/Nekobi

	# ProM
	$(MAKE) clean -C plugins/ProM

	# Max-Gen stuff
	$(MAKE) clean -C plugins/bitcrush
	$(MAKE) clean -C plugins/freeverb
	$(MAKE) clean -C plugins/gigaverb
	$(MAKE) clean -C plugins/pitchshift

# --------------------------------------------------------------

install:
	install -d $(DESTDIR)$(PREFIX)/lib/ladspa/
	install -d $(DESTDIR)$(PREFIX)/lib/dssi/
	install -d $(DESTDIR)$(PREFIX)/lib/lv2/
	install -d $(DESTDIR)$(PREFIX)/lib/vst/
	install -d $(DESTDIR)$(PREFIX)/bin/

	install -m 644 bin/*-ladspa.* $(DESTDIR)$(PREFIX)/lib/ladspa/
	install -m 644 bin/*-dssi.*   $(DESTDIR)$(PREFIX)/lib/dssi/
	install -m 644 bin/*-vst.*    $(DESTDIR)$(PREFIX)/lib/vst/

ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
	cp -r bin/*-dssi  $(DESTDIR)$(PREFIX)/lib/dssi/
endif # HAVE_CAIRO_OR_OPENGL
	cp -r bin/*.lv2   $(DESTDIR)$(PREFIX)/lib/lv2/

ifeq ($(HAVE_JACK),true)
	install -m 755 bin/Kars             $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/3BandEQ          $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/3BandSplitter    $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/PingPongPan      $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/AmplitudeImposer $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/CycleShifter     $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/SoulForce        $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/MVerb            $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/Nekobi           $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/MaBitcrush       $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/MaFreeverb       $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/MaGigaverb       $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/MaPitchshift     $(DESTDIR)$(PREFIX)/bin/
ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
	install -m 755 bin/glBars           $(DESTDIR)$(PREFIX)/bin/
ifeq ($(HAVE_PROJM),true)
	install -m 755 bin/ProM             $(DESTDIR)$(PREFIX)/bin/
endif # HAVE_PROJM
endif # HAVE_CAIRO_OR_OPENGL
endif # HAVE_JACK

# --------------------------------------------------------------

.PHONY: plugins

=== dpf/dgl/Makefile ===
#!/usr/bin/make -f
# Makefile for DGL #
# ---------------- #
# Created by falkTX
#

include ../Makefile.base.mk

# ---------------------------------------------------------------------------------------------------------------------

BUILD_C_FLAGS   += $(DGL_FLAGS) -I. -Isrc
BUILD_CXX_FLAGS += $(DGL_FLAGS) -I. -Isrc -DDONT_SET_USING_DGL_NAMESPACE -Wno-unused-parameter
LINK_FLAGS      += $(DGL_LIBS)

# ifneq ($(MACOS_OLD),true)
# needed by sofd right now, fix later
# BUILD_CXX_FLAGS += -Wno-type-limits -fpermissive
# endif

# ---------------------------------------------------------------------------------------------------------------------

OBJS_common = \
	../build/dgl/Application.cpp.o \
	../build/dgl/Color.cpp.o \
	../build/dgl/Geometry.cpp.o \
	../build/dgl/ImageBase.cpp.o \
	../build/dgl/Resources.cpp.o \
	../build/dgl/Widget.cpp.o

# TODO: ImageWidgets.cpp

# ---------------------------------------------------------------------------------------------------------------------

OBJS_cairo = $(OBJS_common) \
	../build/dgl/Cairo.cpp.cairo.o \
	../build/dgl/WidgetPrivateData.cpp.cairo.o

ifeq ($(MACOS),true)
OBJS_cairo += ../build/dgl/Window.mm.cairo.o
else
OBJS_cairo += ../build/dgl/Window.cpp.cairo.o
endif

# ---------------------------------------------------------------------------------------------------------------------

OBJS_opengl = $(OBJS_common) \
	../build/dgl/OpenGL.cpp.opengl.o \
	../build/dgl/Image.cpp.opengl.o \
	../build/dgl/ImageWidgets.cpp.opengl.o \
	../build/dgl/NanoVG.cpp.opengl.o \
	../build/dgl/WidgetPrivateData.cpp.opengl.o

ifeq ($(MACOS),true)
OBJS_opengl += ../build/dgl/Window.mm.opengl.o
else
OBJS_opengl += ../build/dgl/Window.cpp.opengl.o
endif

# ---------------------------------------------------------------------------------------------------------------------

ifeq ($(HAVE_CAIRO),true)
TARGETS += ../build/libdgl-cairo.a
endif

ifeq ($(HAVE_OPENGL),true)
TARGETS += ../build/libdgl-opengl.a
# Compat name, to be removed soon
TARGETS += ../build/libdgl.a
endif

# ---------------------------------------------------------------------------------------------------------------------

all: $(TARGETS)

# ---------------------------------------------------------------------------------------------------------------------

../build/libdgl-cairo.a: $(OBJS_cairo)
	-@mkdir -p ../build
	@echo "Creating libdgl-cairo.a"
	@rm -f $@
	@$(AR) crs $@ $^

../build/libdgl-opengl.a: $(OBJS_opengl)
	-@mkdir -p ../build
	@echo "Creating libdgl-opengl.a"
	@rm -f $@
	@$(AR) crs $@ $^

# Compat name, to be removed soon
../build/libdgl.a: ../build/libdgl-opengl.a
	@echo "Symlinking libdgl.a"
	@ln -sf $< $@

# ---------------------------------------------------------------------------------------------------------------------

../build/dgl/%.c.o: src/%.c
	-@mkdir -p ../build/dgl
	@echo "Compiling $<"
	@$(CC) $< $(BUILD_C_FLAGS) -c -o $@

../build/dgl/%.cpp.o: src/%.cpp
	-@mkdir -p ../build/dgl
	@echo "Compiling $<"
	@$(CXX) $< $(BUILD_CXX_FLAGS) -c -o $@

# ---------------------------------------------------------------------------------------------------------------------

../build/dgl/%.cpp.cairo.o: src/%.cpp
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (Cairo variant)"
	@$(CXX) $< $(BUILD_CXX_FLAGS) -DDGL_CAIRO -c -o $@

../build/dgl/Window.cpp.cairo.o: src/Window.cpp src/sofd/* src/pugl/*
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (Cairo variant)"
	@$(CXX) $< $(BUILD_CXX_FLAGS) -DDGL_CAIRO -c -o $@

../build/dgl/Window.mm.cairo.o: src/Window.cpp src/sofd/* src/pugl/*
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (Cairo variant)"
	@$(CXX) $< $(BUILD_CXX_FLAGS) -DDGL_CAIRO -ObjC++ -c -o $@

# ---------------------------------------------------------------------------------------------------------------------

../build/dgl/%.cpp.opengl.o: src/%.cpp
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (OpenGL variant)"
	@$(CXX) $< $(BUILD_CXX_FLAGS) -DDGL_OPENGL -c -o $@

../build/dgl/Window.cpp.opengl.o: src/Window.cpp src/sofd/* src/pugl/*
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (OpenGL variant)"
	@$(CXX) $< $(BUILD_CXX_FLAGS) -DDGL_OPENGL -c -o $@

../build/dgl/Window.mm.opengl.o: src/Window.cpp src/sofd/* src/pugl/*
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (OpenGL variant)"
	@$(CXX) $< $(BUILD_CXX_FLAGS) -DDGL_OPENGL -ObjC++ -c -o $@

# ---------------------------------------------------------------------------------------------------------------------

clean:
	rm -rf ../build/dgl ../build/libdgl*.*

debug:
	$(MAKE) DEBUG=true

# ---------------------------------------------------------------------------------------------------------------------

-include $(OBJS_common:%.o=%.d)
-include $(OBJS_cairo:%.o=%.d)
-include $(OBJS_opengl:%.o=%.d)

# ---------------------------------------------------------------------------------------------------------------------

=== plugins/3BandSplitter/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = 3BandSplitter

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPlugin3BandSplitter.cpp

FILES_UI  = \
	DistrhoArtwork3BandSplitter.cpp \
	DistrhoUI3BandSplitter.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += ladspa
TARGETS += vst

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/AmplitudeImposer/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = AmplitudeImposer

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginAmplitudeImposer.cpp

FILES_UI  = \
	DistrhoArtworkAmplitudeImposer.cpp \
	DistrhoUIAmplitudeImposer.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += ladspa
TARGETS += vst

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/CycleShifter/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = CycleShifter

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginCycleShifter.cpp

FILES_UI  = \
	DistrhoArtworkCycleShifter.cpp \
	DistrhoUICycleShifter.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += ladspa
TARGETS += vst

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/MVerb/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = MVerb

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginMVerb.cpp

FILES_UI  = \
	DistrhoArtworkMVerb.cpp \
	DistrhoUIMVerb.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += ladspa
TARGETS += vst

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/PingPongPan/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = PingPongPan

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginPingPongPan.cpp

FILES_UI  = \
	DistrhoArtworkPingPongPan.cpp \
	DistrhoUIPingPongPan.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += ladspa
TARGETS += vst

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ProM/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ProM

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginProM.cpp

FILES_UI  = \
	DistrhoUIProM.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Extra flags

BASE_FLAGS += $(shell pkg-config --cflags libprojectM)
LINK_FLAGS += $(shell pkg-config --libs libprojectM) -lpthread

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += lv2
TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/pitchshift/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = MaPitchshift

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginMaxGen.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Extra flags

BUILD_CXX_FLAGS += -I../common -I../common/gen_dsp
BUILD_CXX_FLAGS += -Wno-unused-parameter

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += ladspa
TARGETS += lv2_dsp
TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== debian/changelog ===
dpf-plugins (1.3-0ubuntu3) focal; urgency=medium

  * Fix for error in debian/copyright, no changes

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 23 Mar 2020 19:09:32 -0700

dpf-plugins (1.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:31 +0100

dpf-plugins (1.3-0ubuntu1) eoan; urgency=medium

  * New upstream version 1.3

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 20 Jul 2019 13:03:56 -0700

dpf-plugins (1.2-0ubuntu1) eoan; urgency=medium

  * Initial release for Ubuntu

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 14 May 2019 10:28:52 -0700

=== debian/control ===
Source: dpf-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
Build-Depends:
 pkg-config,
 debhelper (>= 11),
 libjack-jackd2-dev,
 libx11-dev,
 libxext-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libprojectm-dev,
 liblo-dev
Homepage: https://github.com/falkTX/DPF-Plugins
Standards-Version: 4.3.0

Package: dpf-plugins
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, dpf-plugins-common,
 dpf-plugins-ladspa, dpf-plugins-dssi, dpf-plugins-lv2,
 dpf-plugins-vst
Description: Audio plugin collection from DISTRHO (metapackage)
 Metapackage pulling-in collection of DPF-based plugins in
 LADSPA, DSSI, LV2 and VST2 formats.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-common
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, projectm-data
Description: Audio plugin collection from DISTRHO (common files)
 Common files for collection of DPF-based plugins in
 LADSPA, DSSI, LV2 and VST2 formats.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-ladspa
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
Provides: ladspa-plugin
Description: Audio plugin collection from DISTRHO (LADSPA plugins)
 Collection of DPF-based plugins in LADSPA format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-lv2
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
Provides: lv2-plugin
Description: Audio plugin collection from DISTRHO (LV2 plugins)
 Collection of DPF-based plugins in LV2 format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-vst
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
Provides: vst-plugin
Description: Audio plugin collection from DISTRHO (VST2 plugins)
 Collection of DPF-based plugins in LV2 format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-dssi
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
Provides: dssi-plugin
Description: Audio plugin collection from DISTRHO (DSSI plugins)
 Collection of DPF-based plugins in DSSI format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/DISTRHO/DPF-Plugins/tags .*/v?(\d\S+)\.tar\.gz

## dpf-plugins 1.3+git8ae021b

=== Makefile ===
--- 
+++ 
@@ -60,18 +60,16 @@
 endif # HAVE_PROJM
 endif # HAVE_CAIRO_OR_OPENGL
 
+gen: plugins dpf/utils/lv2_ttl_generator
 ifneq ($(CROSS_COMPILING),true)
-gen: plugins dpf/utils/lv2_ttl_generator
 	@$(CURDIR)/dpf/utils/generate-ttl.sh
+endif
 ifeq ($(MACOS),true)
 	@$(CURDIR)/dpf/utils/generate-vst-bundles.sh
 endif
 
 dpf/utils/lv2_ttl_generator:
 	$(MAKE) -C dpf/utils/lv2-ttl-generator
-else
-gen:
-endif
 
 # --------------------------------------------------------------
 
@@ -121,10 +119,16 @@
 
 	install -m 644 bin/*-ladspa.* $(DESTDIR)$(PREFIX)/lib/ladspa/
 	install -m 644 bin/*-dssi.*   $(DESTDIR)$(PREFIX)/lib/dssi/
+ifeq ($(MACOS),true)
+	cp -r bin/*.vst               $(DESTDIR)$(PREFIX)/lib/vst/
+else
 	install -m 644 bin/*-vst.*    $(DESTDIR)$(PREFIX)/lib/vst/
+endif
 
 ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
+ifneq ($(MACOS),true)
 	cp -r bin/*-dssi  $(DESTDIR)$(PREFIX)/lib/dssi/
+endif # MACOS
 endif # HAVE_CAIRO_OR_OPENGL
 	cp -r bin/*.lv2   $(DESTDIR)$(PREFIX)/lib/lv2/

=== debian/changelog ===
dpf-plugins (1.3+git8ae021b-0ubuntu1) groovy; urgency=medium

  * Add upstream DPF fixes

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 28 May 2020 20:35:29 -0700

## dpf-plugins 1.4

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,12 @@
 HAVE_PROJM = $(shell pkg-config --exists libprojectM && echo true)
 
 # --------------------------------------------------------------
+
+ifneq ($(CROSS_COMPILING),true)
+CAN_GENERATE_TTL = true
+else ifneq ($(EXE_WRAPPER),)
+CAN_GENERATE_TTL = true
+endif
 
 dgl:
 ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
@@ -61,7 +67,7 @@
 endif # HAVE_CAIRO_OR_OPENGL
 
 gen: plugins dpf/utils/lv2_ttl_generator
-ifneq ($(CROSS_COMPILING),true)
+ifeq ($(CAN_GENERATE_TTL),true)
 	@$(CURDIR)/dpf/utils/generate-ttl.sh
 endif
 ifeq ($(MACOS),true)
@@ -133,23 +139,23 @@
 	cp -r bin/*.lv2   $(DESTDIR)$(PREFIX)/lib/lv2/
 
 ifeq ($(HAVE_JACK),true)
-	install -m 755 bin/Kars             $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/3BandEQ          $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/3BandSplitter    $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/PingPongPan      $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/AmplitudeImposer $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/CycleShifter     $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/SoulForce        $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/MVerb            $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/Nekobi           $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/MaBitcrush       $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/MaFreeverb       $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/MaGigaverb       $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/MaPitchshift     $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/Kars$(APP_EXT)             $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/3BandEQ$(APP_EXT)          $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/3BandSplitter$(APP_EXT)    $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/PingPongPan$(APP_EXT)      $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/AmplitudeImposer$(APP_EXT) $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/CycleShifter$(APP_EXT)     $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/SoulForce$(APP_EXT)        $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/MVerb$(APP_EXT)            $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/Nekobi$(APP_EXT)           $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/MaBitcrush$(APP_EXT)       $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/MaFreeverb$(APP_EXT)       $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/MaGigaverb$(APP_EXT)       $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/MaPitchshift$(APP_EXT)     $(DESTDIR)$(PREFIX)/bin/
 ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
-	install -m 755 bin/glBars           $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/glBars$(APP_EXT)           $(DESTDIR)$(PREFIX)/bin/
 ifeq ($(HAVE_PROJM),true)
-	install -m 755 bin/ProM             $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/ProM$(APP_EXT)             $(DESTDIR)$(PREFIX)/bin/
 endif # HAVE_PROJM
 endif # HAVE_CAIRO_OR_OPENGL
 endif # HAVE_JACK

=== plugins/3BandEQ/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = 3BandEQ

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPlugin3BandEQ.cpp

FILES_UI  = \
	DistrhoArtwork3BandEQ.cpp \
	DistrhoUI3BandEQ.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += ladspa
TARGETS += vst

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/Kars/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = Kars

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginKars.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += dssi_dsp
TARGETS += lv2_sep
TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/Nekobi/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = Nekobi

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginNekobi.cpp

FILES_UI  = \
	DistrhoArtworkNekobi.cpp \
	DistrhoUINekobi.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Extra flags

LINK_FLAGS += -lpthread

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += dssi_dsp
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi_ui
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/SoulForce/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = SoulForce

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginSoulForce.cpp

FILES_UI  = \
	DistrhoArtworkSoulForce.cpp \
	DistrhoUISoulForce.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += ladspa
TARGETS += vst

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/bitcrush/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = MaBitcrush

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginMaxGen.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Extra flags

BUILD_CXX_FLAGS += -I../common -I../common/gen_dsp
BUILD_CXX_FLAGS += -Wno-unused-parameter

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += ladspa
TARGETS += lv2_dsp
TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/freeverb/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = MaFreeverb

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginMaxGen.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Extra flags

BUILD_CXX_FLAGS += -I../common -I../common/gen_dsp
BUILD_CXX_FLAGS += -Wno-unused-parameter

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += ladspa
TARGETS += lv2_dsp
TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/gigaverb/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = MaGigaverb

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginMaxGen.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Extra flags

BUILD_CXX_FLAGS += -I../common -I../common/gen_dsp
BUILD_CXX_FLAGS += -Wno-unused-parameter

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += ladspa
TARGETS += lv2_dsp
TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/glBars/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = glBars

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginGLBars.cpp

FILES_UI  = \
	DistrhoUIGLBars.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Extra flags

LINK_FLAGS += -lpthread

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

TARGETS += lv2
TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== debian/changelog ===
dpf-plugins (1.4-1) unstable; urgency=medium

  * Initial debian release (Closes: #953129)

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 05 Feb 2021 17:11:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: dpf-plugins
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- pkg-config,
- debhelper (>= 11),
+ debhelper-compat (= 13),
+ libgl1-mesa-dev,
+ libglu1-mesa-dev,
  libjack-jackd2-dev,
+ liblo-dev,
+ libprojectm-dev,
  libx11-dev,
  libxext-dev,
- libgl1-mesa-dev,
- libglu1-mesa-dev,
- libprojectm-dev,
- liblo-dev
+ pkg-config
 Homepage: https://github.com/falkTX/DPF-Plugins
-Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/dpf-plugins.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/dpf-plugins
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 
 Package: dpf-plugins
-Architecture: amd64 i386
-Depends: ${shlibs:Depends}, ${misc:Depends}, dpf-plugins-common,
+Architecture: any
+Depends: ${misc:Depends}, dpf-plugins-common,
  dpf-plugins-ladspa, dpf-plugins-dssi, dpf-plugins-lv2,
  dpf-plugins-vst
 Description: Audio plugin collection from DISTRHO (metapackage)
@@ -35,7 +38,7 @@
   - ProM
 
 Package: dpf-plugins-common
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, projectm-data
 Description: Audio plugin collection from DISTRHO (common files)
  Common files for collection of DPF-based plugins in
@@ -51,7 +54,7 @@
   - ProM
 
 Package: dpf-plugins-ladspa
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
 Provides: ladspa-plugin
 Description: Audio plugin collection from DISTRHO (LADSPA plugins)
@@ -67,7 +70,7 @@
   - ProM
 
 Package: dpf-plugins-lv2
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
 Provides: lv2-plugin
 Description: Audio plugin collection from DISTRHO (LV2 plugins)
@@ -83,11 +86,11 @@
   - ProM
 
 Package: dpf-plugins-vst
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
 Provides: vst-plugin
 Description: Audio plugin collection from DISTRHO (VST2 plugins)
- Collection of DPF-based plugins in LV2 format.
+ Collection of DPF-based plugins in VST2 format.
  .
  The list of plugins/packs are:
   - glBars
@@ -99,7 +102,7 @@
   - ProM
 
 Package: dpf-plugins-dssi
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
 Provides: dssi-plugin
 Description: Audio plugin collection from DISTRHO (DSSI plugins)

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export SKIP_STRIPPING = true
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dpf-plugins-$1\.tar\.gz/ \
  https://github.com/DISTRHO/DPF-Plugins/tags .*/v?(\d\S+)\.tar\.gz
